using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace drugiZadatak
{
    class Program
    {   
        static long DrugiSlucaj(long[] druzeljubivost, int[] x, int[] y, int[] brojPoznanika, bool[] provera)
        {
            long sreca = 0;

            for (int i = 0; i < x.Length; i++)
            {
                if (druzeljubivost[x[i] - 1] < 0)
                {
                    provera[x[i] - 1] = false;
                    provera[y[i] - 1] = false;
                }
                else if (druzeljubivost[y[i] - 1] < 0)
                {
                    provera[x[i] - 1] = false;
                    provera[y[i] - 1] = false;
                }
                else
                {
                    provera[x[i] - 1] = true;
                    provera[y[i] - 1] = true;
                }
            }

            for (int i = 0; i < druzeljubivost.Length; i++)
            {
                if (provera[i] == true)
                {
                    sreca += druzeljubivost[i] * brojPoznanika[i];
                }
                else
                {
                    sreca -= druzeljubivost[i] * brojPoznanika[i];
                }
            }

            return sreca;
        }
        static long PrviSlucaj(long[] druzeljubivost, int[] x, int[] y, int[] brojPoznanika, bool[] provera)
        {
            long sreca = 0;

            for (int i = 0; i < x.Length; i++)
            {
                if(druzeljubivost[x[i] - 1] > 0)
                {
                    provera[x[i] - 1] = true;
                    provera[y[i] - 1] = true;
                }
                else if (druzeljubivost[y[i] - 1] > 0)
                {
                    provera[x[i] - 1] = true;
                    provera[y[i] - 1] = true;
                }
            }

            for (int i = 0; i < druzeljubivost.Length; i++)
            {
                if (provera[i] == true)
                {
                    sreca += druzeljubivost[i] * brojPoznanika[i];
                }
                else
                {
                    sreca -= druzeljubivost[i] * brojPoznanika[i];
                }
            }

            return sreca;
        }
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);

            long[] druzeljubivost = new long[n];
            int[] x = new int[m];
            int[] y = new int[m];

            bool[] provera = new bool[n];

            int[] brojPoznanika = new int[n];

            for (int i = 0; i < n; i++)
            {
                druzeljubivost[i] = long.Parse(Console.ReadLine());
            }
            for (int i = 0; i < m; i++)
            {
                s = Console.ReadLine().Split();
                x[i] = int.Parse(s[0]);
                y[i] = int.Parse(s[1]);

                brojPoznanika[x[i] - 1]++;
                brojPoznanika[y[i] - 1]++;
            }

            long sreca1 = PrviSlucaj(druzeljubivost, x, y, brojPoznanika, provera);
            long sreca2 = DrugiSlucaj(druzeljubivost, x, y, brojPoznanika, provera);

            if (sreca1 > sreca2)
            {
                Console.WriteLine(sreca1);
            }
            else
            {
                Console.WriteLine(sreca2);
            }
        }
    }
}